Class | Shef::ModelWrapper
In: | lib/chef/shef/model_wrapper.rb
Parent: | Object

### Methods

all bulk_edit find list load new search show transform

### Included Modules

Chef::Mixin::ConvertToClassName

### Attributes

model_symbol | [R] |

### Public Class methods

new(model_class, symbol=nil)

### Public Instance methods

all(&block)
bulk_edit(what_to_transform, &block)

Alias for transform

find(query)

Alias for search

list(&block)

Alias for all

load(obj_id)

Alias for show

search(query) {|obj| ...}
show(obj_id)
transform(what_to_transform) {|obj| ...}

[Validate]